Qt Reference Documentation

- Qt 4.8
- ALL VERSIONS

- A
- A
- A
- Print

# QTextOStream Class Reference

The QTextOStream class is a convenience class for output streams. More...

     #include <QTextOStream>

This class is part of the Qt 3 support library. It is provided to keep old source code working. We strongly advise against using it in new code. See Porting to Qt 4 for more information.

Inherits: QTextStream.

Note: All functions in this class are reentrant.

- List of all members, including inherited members

## Public Functions

| QTextOStream ( QString * string )
| QTextOStream ( QByteArray * byteArray )
| QTextOStream ( FILE * file )

- 70 public functions inherited from QTextStream

## Detailed Description

The QTextOStream class is a convenience class for output streams.

Use QTextStream instead.

## Member Function Documentation

### QTextOStream::QTextOStream ( QString * string )

Use QTextStream(&string, QIODevice::WriteOnly) instead.

### QTextOStream::QTextOStream ( QByteArray * byteArray )

Use QTextStream(&byteArray, QIODevice::WriteOnly) instead.

### QTextOStream::QTextOStream ( FILE * file )

Use QTextStream(file, QIODevice::WriteOnly) instead.